Summary: A set of Solitaire type games for the X Window System.
Name: xpat2
Version: 1.04
Release: 16mdk
Copyright: distributable
Group: Games/Cards
Source0: ftp:/sunsite.unc.edu/pub/Linux/games/x11/strategy/xpat2-1.04-src.tar.bz2
Source1: xpat2
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2
Patch: xpat2-1.03-fsstnd.patch.bz2
Patch1: xpat2-1.04-xpm.patch.bz2
Patch2: xpat2-1.04-nobr.patch.bz2
BuildRoot: /var/tmp/xpat2-root

%description
Xpat2 is a generic patience or Solitaire game for the X Window System.
Xpat2 can be used with different rules sets, so it can be used to play
Spider, Klondike, and other card games.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .nobr

%build
export PATH=/usr/bin/X11:$PATH
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib/games/xpat,man/man6}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/{italian,german,russian,french}/app-defaults
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/games/xpat
/usr/man/man6/xpat2.6x*
/usr/X11R6/bin/xpat2
/usr/X11R6/lib/X11/app-defaults/XPat
/usr/lib/menu/*
/usr/share/icons/mini/*
/usr/share/icons/large/*
/usr/share/icons/%{name}.xpm

%changelog
* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.04-16mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.04-15mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.04-14mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.04-13mdk
- Release.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.04-12mdk

- Use bz2 sources.

* Thu Nov 6 1999 dam's <damien@mandrakesoft.com>
- Mandrake adaptation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- use "mkdir -p" rather than mkdirhier to avoid IFS problem with bash-2.02.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
